Orbitvu Compatibility Guide

Camera Compatibility Table

Below you’ll find a list of Canon cameras that we have tested with Orbitvu software: Orbitvu Station and Orbitvu Editor.

CanonSensor sizeRecommendedLens mount typeNotes
EOS R 5Full FrameYesRFNote 3, Note 8, Note 10
EOS R 6Full FrameYesRFNote 3, Note 9, Note 10
EOS RFull FrameYesRFNote 3, Note 4
EOS RPFull FrameYesRFNote 3, Note 4, Note 6
1D X Mark IIFull FrameNoEF
5D Mark IVFull FrameYesEFNote 1
5DSFull FrameYesEFNote 2
5DS RFull FrameYesEFNote 2
6DFull FrameYesEF
6D Mark IIFull FrameYesEF
7D Mark IIAPS-CYesEF / EF-S
77D / 9000D (Japan)APS-CYesEF / EF-SNote 7
80DAPS-CYesEF / EF-S
90D   APS-CYesEF / EF-SNote 5
200D / Rebel SL2 (USA) / Kiss X9 (Japan)APS-CYesEF / EF-SNote 7
250D / Rebel SL3 (USA) / Kiss X10 (Japan)APS-CYesEF/EF-SNote 5, Note 7
800D / Rebel T7i (USA) / Kiss X9i (Japan)APS-CYesEF / EF-SNote 7
850D / Rebel T8i / EOS Kiss X10i (Japan)APS-CYesEF / EF-SNote 7, Note 9
1500D / 2000D / Rebel T7 (USA) / Kiss X90 (Japan)APS-CNoEF / EF-SNote 4, Note 7
4000D / 3000D / Rebel T100 (USA)APS-CNoEF/EF-SNote 4, Note 7

Notes

Note 1

In case of problems with more than one Canon 5D Mark IV connected at the same time, connection via USB 2.0 is recommended

Note 2

Recommended for fashion photos and videos.

Note 3

Requires CANON MOUNT ADAPTER EF-EOS R for compatibility with EF lenses.

Note 4

Camera supported by Orbitvu Station from version 19.1.5.

Note 5

Camera supported by Orbitvu Station from version 19.2.0.

Note 6

EOS RP + RF 24 -105mm F4 L IS USM is compatible with motorized zoom, ALPHASHOT MICRO, ALPHASHOT 360 and Multi – camera rig for ALPHASHOT XL only when the Canon EG-E1 camera extension grip is attached.

Note 7

Camera does not support shooting with Orbitvu Kits in continuous mode with flashlights. The flashlights would not activate.

Note 8

Camera supported by Orbitvu Station from version 21.1.

Note 9

Camera supported by Orbitvu Station from version 21.1.2.

Note 10

This camera is not recommended as top camera for Alphastudio family (XXL, Compact).

Canon Lenses Recommendation

Tested with Orbitvu software: Orbitvu Station and Orbitvu Editor.

CanonCompatibility (sensor size)Compatibility (mount type)Compatibility (Motorized Zoom)Notes
18-135 mm f/3.5-5.6 EF-S IS USMAPS-CEF-SYes
24-105 mm f/3.5-5.6 IS STMAPS-C / Full frameEFYes
24-70mm f/4 L EF IS USMAPS-C / Full frameEFYes
24-70mm f/4 L EF IS II USMAPS-C / Full frameEFYes
24-105 mm f/4 L EF IS USMAPS-C / Full frameEFYes
24-105 mm f/4 L EF IS II USMAPS-C / Full frameEFYes
100 mm f/2.8 L EF Macro IS USMAPS-C / Full frameEFNoNote 1
RF 24 -105mm F4 L IS USMAPS-C / Full frameRFYesNote 2
70-200 mm f/4.0 L EF USMAPS-C / Full frameEFYesNote 3
70-200 mm f/4.0 L EF IS II USMAPS-C / Full frameEFYesNote 4

Notes

Note 1

Recommended for small-sized product photography in Alphashot Micro.

Note 2

Compatible only with EOS R series cameras.

Note 3

Min. Focus Distance 1,2m.

Note 4

Min. Focus Distance 1m.

Power Supplies Recommendation

We strongly advise to use only genuine Canon power supplies. Using non-original power supplies can cause connection stability problems.

Hardware and software requirements

Hardware

Minimal hardware requirements:
Intel Core i5 2 cores, 8GB RAM
Storage 128GB SSD, 1TB HDD
Screen resolution: 1920x1080px

Recommended hardware requirements:
Intel Core i7 4 cores, 16GB RAM
Storage 256GB SSD, 1TB HDD
Screen resolution: 1920x1080px

Orbitvu Station does not support Apple M1 chips.

Operating system compatibility

ORBITVU STATION is available as a 64bit application for macOS and Windows:
Microsoft Windows 10 64bit
macOS Mojave 10.14
macOS Catalina 10.15
macOS Big Sur 10.15

Orbitvu software works only on 64bit operating systems. More details are available in the table below.

SystemOrbitvu Editor 3.9Orbitvu Station 2019Orbitvu Station 2019.2 (19.2)Orbitvu Station 2019.2 (19.2.2)Orbitvu Station 20.1 Orbitvu Station 20.2 Orbitvu Station 20.2.1Orbitvu Station 21.1Orbitvu Station 21.2
Windows 7YesYesYesYesNoNoNoNoNo
Windows 8.1YesYesYesYesYesYesYesYesNo
Windows 10YesYesYesYesYesYesYesYesYes
10.10 macOS YosemiteYesNoNoNoNoNoNoNoNo
10.11 macOS El CapitanYesNoNoNoNoNoNoNoNo
10.12 macOS SierraYesYesYesYesNoNoNoNoNo
10.13 macOS High SierraYesYesYesYesYesYesNoNoNo
10.14 macOS Mojave Yes**YesYesYesYesYesYesYesYes
10.15 macOS CatalinaNoNoNoYesYesYesYesYesYes
macOS Big SurNoNoNoNoNoNoYesYesYes

Notes

  • * Supported in versions: 2.7.3, 2.7.4, 2.7.5
  • ** Supported in versions: 3.9.3 and 3.9.4